ogg123(1)

NUME
ogg123 - redă fișiere Ogg și FLAC

SINOPSIS
ogg123 [ -vqrzZVh ] [ -k secunde ] [ -x n-lea ] [ -y n-ori ] [ -b dimensiune-memorie-tampon ] [ -d controlor [ -o opțiune:valoare ] [ -f nume-fișier ] ] fișier ... | director ... | URL ...

DESCRIERE
ogg123 citește fișiere audio Ogg/Vorbis, Ogg/Speex, Ogg/Opus, Ogg/FLAC și FLAC nativ și le decodifică pe dispozitivele specificate în linia de comandă. În mod implicit, ogg123 scrie în dispozitivul de sunet standard, dar ieșirea poate fi trimisă către orice număr de dispozitive. Fișierele pot fi citite din sistemul de fișiere sau pot fi transmise adrese URL prin HTTP. Dacă se indică un director, vor fi redate toate fișierele din acesta sau din subdirectoarele sale.

OPȚIUNI

--audio-buffer n
    Utilizează o memorie tampon audio de ieșire de „n” kiloocteți.

-@ listă-redare, --list listă-redare
    Redă toate fișierele menționate în fișierul „listă-redare”. Lista de redare trebuie să aibă un nume de fișier, un nume de director sau o adresă URL pe linie. Sunt permise liniile goale. Directoarele vor fi tratate în același mod ca și în linia de comandă.

-b n, --buffer n
    Utilizează o memorie tampon de intrare de aproximativ „n” kiloocteți. Opțiune exclusiv HTTP.

-p n, --prebuffer n
    Prestochează „n” procente din memoria tampon de intrare. Redarea nu va începe până când această prestocare nu este completă. Opțiune exclusiv HTTP.

-d dispozitiv, --device dispozitiv
    Specifică dispozitivul de ieșire. Consultați secțiunea DISPOZITIVE pentru o listă de dispozitive. Se poate specifica orice număr de dispozitive.

-f nume-fișier, --file nume-fișier
    Specifică fișierul de ieșire pentru un dispozitiv de fișiere specificat anterior cu --device. Numele de fișier „-” scrie la ieșirea standard. Dacă fișierul există deja, ogg123 îl va suprascrie.

-h, --help
    Afișează mesajul de ajutor al comenzii.

-k n, --skip n
    Sare peste primele „n” secunde. „n” poate fi, de asemenea, sub formă de minute:secunde sau ore:minute:secunde.

-K n, --end n
    Oprește redarea la „n” secunde de la începutul fluxului. „n” poate avea, de asemenea, același format ca și cel utilizat în opțiunea --skip.

-o opțiune[:valoare], --device-option opțiune[:valoare]
    Stabilește opțiunea opțiune la valoare pentru dispozitivul precedent. A se vedea secțiunea DISPOZITIVE pentru o listă a opțiunilor valabile pentru fiecare dispozitiv.

-q, --quiet
    Modul silențios. Nu se afișează niciun mesaj.

-V, --version
    Afișează informațiile despre versiune.

-v, --verbose
    Mărește nivelul de detaliere al ieșirii.

-x n, --nth
    Redă fiecare al „n-lea” bloc decodat. Are ca efect redarea audio la o viteză de „n” ori mai mare decât cea normală.

-y n, --ntimes
    Repetă fiecare bloc redat de „n” ori. Are ca efect redarea audio de „n” ori mai lent decât viteza normală. Poate fi dată cu „-x” pentru viteze fracționare interesante.

-r, --repeat
    Repetă lista de redare la infinit.

-z, --shuffle
    Redă fișierele într-o ordine pseudo-aleatorie.

-Z, --random
    Redă fișiere în ordine pseudo-aleatorie mereu.

DISPOZITIVE

ogg123 acceptă o varietate de dispozitive de ieșire audio prin „libao”. Vor fi disponibile numai acele dispozitive acceptate de platforma țintă. Opțiunea -f poate fi utilizată numai cu dispozitive care scriu în fișiere.

Opțiuni acceptate de toate dispozitivele:

    debug
        Activează ieșirea de depanare [dacă există] pentru un controlor ales.

    matrix:valoare
        Forțează o anumită ordine a canalelor de ieșire pentru un dispozitiv dat. valoare este o listă separată prin virgule de nume de canale în stilul AO, de exemplu, L,R,C,LFE,BL,BR,SL,SR.

    verbose
        Activează ieșirea în modul descriptiv pentru un controlor ales. Opțiunea „-v” va activa, de asemenea, opțiunea „--verbose” a controlorului.

    quiet
        Forțează controlorul ales să fie complet tăcut. Chiar nici erorile nu vor produce nicio ieșire. „-q” va activa, de asemenea, opțiunea de silențiozitate a controlorului.

aixs
    Controlor de ieșire live AIX. Opțiuni:

    dev:valoare
        Stabilește dispozitivul de ieșire AIX la valoare.

alsa
    Controlor de ieșire live Advanced Linux Sound Architecture. Opțiuni:

    buffer_time:valoare
        Suprascrie dimensiunea implicită a memoriei tampon hardware (în milisecunde).

    dev:valoare
        Eticheta dispozitivului ALSA care trebuie utilizată. Exemplele includ „hw:0” pentru prima placă de sunet și „hw:1” pentru a doua. În mod normal, controlorul alsa alege în mod automat unul dintre „surround71”, „surround51”, „surround40” sau „default” în funcție de numărul de canale de ieșire. Pentru mai multe informații, consultați http://alsa.opensrc.org/ALSA+device+labels.

    period_time:valoare
        Suprascrie dimensiunea implicită a perioadei hardware (în microsecunde).

    period_time:valoare
        Suprascrie dimensiunea implicită a perioadei hardware (în microsecunde).

    use_mmap:valoare
        valoare este definită la „yes” sau „no” pentru a suprascrie valoarea implicită compilată pentru a utiliza sau nu accesul la dispozitivul mmap. În trecut, unii controlori alsa cu erori s-au comportat mai bine atunci când nu foloseau accesul mmap, cu prețul unei utilizări ușor mai mari a procesorului.

arts
    Controlor de ieșire live aRts. Opțiuni:

    multi:valoare
        valoare este definită la „yes” sau „no” pentru a permite deschiderea dispozitivului de redare aRts pentru redarea simultană multiplă. Deși controlorul funcționează corect în modul multiplu, se știe că, ocazional, acesta poate bloca serverul aRts însuși. Comportamentul implicit este "no".

au  Ieșire fișier audio Sun. Scrie eșantioanele audio în format AU. Formatul AU permite scrierea în fișiere care nu pot fi explorate, cum ar fi ieșirea standard. În astfel de circumstanțe, antetul AU va specifica formatul de eșantionare, dar nu și lungimea înregistrării.

esd Ieșire live a lui Enlightened Sound Daemon. Opțiuni:

    host:valoare
        valoare specifică numele de gazdă unde se execută esd. Aceasta poate include un număr de port după două puncte, ca în „whizbang.com:555”. (implicit = localhost)

    client_name:valoare
        Stabilește numele clientului pentru noul flux audio. Valoarea implicită este „libao client”.

irix
    Controlor de ieșire live IRIX. Opțiuni:

macosx
    Controlor de ieșire live „AUHAL” pentru MacOS X. Acest controlor este compatibil cu MacOS X 10.5 și versiunile ulterioare (10.4 și versiunile anterioare utilizează o interfață mai veche, incompatibilă). Opțiuni:

    buffer_time:valoare
        Stabilește dimensiunea memoriei tampon hardware la echivalentul a valoare milisecunde.

nas Controlorul de ieșire live al Network Audio Server. Opțiuni:

    buf_size:valoare
        Stabilește dimensiunea memoriei tampon audio de pe server în octeți.

    host:valoare
        Stabilește locația serverului NAS; a se vedea nas(1) pentru format.

null
    Controlor null. Toate datele audio sunt eliminate. Notă: datele audio nu sunt scrise în /dev/null ! Puteți utiliza acest controlor pentru a testa viteza de decodificare brută, fără costuri suplimentare de ieșire.

oss Controlor Open Sound System pentru Linux și FreeBSD, versiunile 2, 3 și 4. Opțiuni:

    dsp:valoare
        Dispozitiv DSP pentru placa de sunet. Valoarea implicită este /dev/dsp.

pulse
    Controlr de sunet live audio Pulseaudio. Opțiuni:

    server:valoare
        Specifică locația serverului Pulseaudio la distanță sau alternativ.

    sink:valoare
        Specifică un receptor Pulseaudio care nu este implicit pentru fluxul audio.

raw Ieșire de fișiere brute. Scrie eșantioane audio brute într-un fișier. Opțiuni:

    byteorder:valoare
        Alege ordinea octeților big endian („big”), little endian („little”) sau nativă („native”). Ordinea implicită este cea nativă.

roar
    Controlor de ieșire live RoarAudio Daemon. Opțiuni:

    server:valoare, host:valoare
        Specifică locația serverului RoarAudio de la distanță care urmează să fie utilizat.

    id:valoare, dev:valoare
        Specifică un mixer care nu este implicit în cadrul unui server RoarAudio pentru fluxul audio.

    role:valoare
        Stabilește configurația rolului pentru fluxul audio.

    client_name:valoare
        Stabilește numele clientului pentru noul flux audio. Valoarea implicită este „libao client”.

sndio
    Controlor de ieșire live SNDIO pentru OpenBSD. Opțiuni:

    dev:valoare
        Specifică dispozitivul audio care urmează să fie utilizat pentru redare.

sun Controlor de ieșire live Sun Audio pentru NetBSD, OpenBSD și Solaris. Opțiuni:

    dev:valoare
        Dispozitiv audio pentru placa de sunet. Valoarea implicită este /dev/audio.

wav Ieșire fișier WAV. Scrie datele de sunet pe disc în formă necomprimată. Dacă sunt redate mai multe fișiere, toate acestea vor fi concatenate în același fișier WAV. Fișierele WAV nu pot fi scrise în fișiere care nu pot fi căutate, cum ar fi ieșirea standard. Utilizați în schimb formatul AU.

wmm Controlor de ieșire live Windows MultiMedia pentru Win98 și versiuni ulterioare. Opțiuni:

    dev:valoare
        Selectează dispozitivul audio care urmează să fie utilizat pentru redare după numele dispozitivului.

    id:valoare
        Selectează dispozitivul audio care urmează să fie utilizat pentru redare după ID-ul dispozitivului (numărul plăcii).

EXEMPLE

Linia de comandă ogg123 este destul de flexibilă, poate chiar confuză. Iată câteva exemple de linii de comandă și o explicație a ceea ce fac acestea.

Redă pe placa de sunet implicită:
    ogg123 test.ogg

Redă toate fișierele din directorul ~/muzică și din subdirectoarele sale.
    ogg123 ~/muzică

Redă un fișier utilizând controlorul OSS:
    ogg123 -d oss test.ogg

Pasează opțiunea „dsp” către controlorul OSS:
    ogg123 -d oss -o dsp:/dev/mydsp

Utilizează controlorul ESD
    ogg123 -d esd test.ogg

Utilizează controlorul WAV cu fișierul de ieșire, „test.wav”:
    ogg123 -d wav -f test.wav test.ogg

Ascultați un fișier în timp ce îl scrieți într-un fișier WAV:
    ogg123 -d oss -d wav -f test.wav test.ogg

Rețineți că opțiunile se aplică dispozitivului declarat în stânga:
    ogg123 -d oss -o dsp:/dev/mydsp -d raw -f test2.raw -o byteorder:big test.ogg

Test de stres pentru discul dur:
    ogg123 -d oss -d wav -f 1.wav -d wav -f 2.wav -d wav -f 3.wav -d wav -f 4.wav -d wav -f 5.wav test.ogg

Creează un efect de ecou cu esd și un calculator lent:
    ogg123 -d esd -d esd test.ogg

ÎNTRERUPERE
Puteți întrerupe ogg123 în orice moment apăsând Ctrl-C. Dacă redați mai multe fișiere, acest lucru va opri fișierul curent și va începe redarea următorului. Dacă doriți să întrerupeți imediat redarea în loc să treceți la fișierul următor, apăsați Ctrl-C în prima secundă de redare a unui fișier nou.

Rețineți că este posibil ca rezultatul apăsării tastei Ctrl-C să nu fie auzit imediat, din cauza memorării în memoria tampon a datelor audio în dispozitivul audio. Această întârziere depinde de sistem, dar, de obicei, nu depășește una sau două secunde.

FIȘIERE

/etc/libao.conf
    Poate fi utilizat pentru a stabili dispozitivul de ieșire implicit pentru toate programele libao.

~/.libao
    Fișier de configurare pentru fiecare utilizator pentru a suprascrie configurările dispozitivelor de ieșire la nivel de sistem.

ERORI

Fișierele WAV transmise prin conducte pot provoca un comportament ciudat în alte programe. Acest lucru se datorează faptului că fișierele WAV stochează lungimea datelor în antet. Cu toate acestea, controlorul de ieșire nu cunoaște lungimea atunci când scrie antetul și nu există o valoare care să însemne „lungime necunoscută”. Folosiți controlorul de ieșire brut sau au dacă trebuie să utilizați ogg123 într-o conductă.

AUTORI

Autorii programului:
    Kenneth Arnold <kcarnold-xiph@arnoldnet.net>
    Stan Seibert <volsung@xiph.org>

Autorul paginilor de manual:
    Stan Seibert <volsung@xiph.org>

CONSULTAȚI ȘI

libao.conf(5), oggenc(1), vorbiscomment(1), ogginfo(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.